Karia
ReferencesOpenapiEstimates

Create an estimate

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/lead/{leadId}/estimate

Create an estimate for a lead in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

workspaceId*integer
Range0 < value <= 9007199254740991
leadId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orgId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organisation/string/workspace/1/origination/lead/string/estimate" \  -H "Content-Type: application/json" \  -d '{    "salary": 1,    "leaseTerm": 1,    "startingPrice": 1,    "businessUse": 0,    "fuelType": "petrol"  }'
{  "id": "string",  "userId": "string",  "createdAt": "string",  "createdBy": "string",  "source": "api",  "expiresAt": "string",  "documentId": "string",  "assumptions": {    "salary": 1,    "leaseTerm": 1,    "startingPrice": 1,    "payrollCycle": "weekly",    "includeRunningCosts": true,    "businessUse": 0,    "fuelType": "petrol",    "annualKms": 1,    "state": "act",    "startingPriceType": "drive_away_price",    "stampDutyCategory": "string",    "applyMaxClaimableGstCap": true,    "applyLuxuryCarTax": true,    "luxuryCarThresholdCategory": "fuel_efficient_vehicle"  },  "vehicle": {    "doors": "string",    "vehicleIds": {      "autograbId": "string"    },    "make": "string",    "model": "string",    "typeBadge": "string",    "bodyStyle": "string",    "fuelType": "petrol",    "driveType": "string",    "modelYear": "string",    "transmissionType": "string",    "engineType": "string",    "exteriorColour": "string",    "interiorTrim": "string"  },  "pricing": {    "totalStatutoryCosts": "string",    "gstClaimed": "string",    "totalVehicleAmountFinanced": "string",    "vehiclePrice": {      "exGstAmount": "string",      "gstAmount": "string",      "incGstAmount": "string"    },    "registration": "string",    "stampDuty": "string",    "luxuryCarTax": "string",    "driveAwayPrice": "string"  },  "finance": {    "totalAmountFinanced": {      "exGstAmount": "string",      "gstAmount": "string",      "incGstAmount": "string"    },    "residual": {      "percentage": "string",      "exGstAmount": "string",      "gstAmount": "string",      "incGstAmount": "string"    },    "monthlyFinancePayment": {      "exGstAmount": "string",      "gstAmount": "string",      "incGstAmount": "string"    },    "leasePayment": {      "weekly": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      },      "fortnightly": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      },      "monthly": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      },      "biMonthly": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      }    },    "netAmountFinanced": {      "exGstAmount": "string",      "gstAmount": "string",      "incGstAmount": "string"    }  },  "budget": {    "weekly": {      "totals": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      },      "items": [        {          "name": "string",          "exGstAmount": 0,          "gstAmount": 0,          "incGstAmount": 0        }      ]    },    "fortnightly": {      "totals": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      },      "items": [        {          "name": "string",          "exGstAmount": 0,          "gstAmount": 0,          "incGstAmount": 0        }      ]    },    "monthly": {      "totals": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      },      "items": [        {          "name": "string",          "exGstAmount": 0,          "gstAmount": 0,          "incGstAmount": 0        }      ]    },    "biMonthly": {      "totals": {        "exGstAmount": "string",        "gstAmount": "string",        "incGstAmount": "string"      },      "items": [        {          "name": "string",          "exGstAmount": 0,          "gstAmount": 0,          "incGstAmount": 0        }      ]    }  },  "tax": {    "fbt": {      "fbtEmployerType": "standard",      "fbtCollectionType": "ecm",      "methods": {        "operatingCost": {          "fbtBaseValue": 0,          "calculationNotes": [            "string"          ],          "monthlyLossDeductibility": 0,          "weekly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "fortnightly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "monthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "biMonthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "annual": {            "preTaxContribution": 0,            "postTaxContribution": 0,            "estimatedEmployeeFbtLiability": 0,            "estimatedEmployerFbtLiability": 0          },          "businessUse": 0        },        "statutoryMethod": {          "fbtBaseValue": 0,          "calculationNotes": [            "string"          ],          "monthlyLossDeductibility": 0,          "weekly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "fortnightly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "monthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "biMonthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "annual": {            "preTaxContribution": 0,            "postTaxContribution": 0,            "estimatedEmployeeFbtLiability": 0,            "estimatedEmployerFbtLiability": 0          }        },        "fbtExempt": {          "fbtBaseValue": 0,          "calculationNotes": [            "string"          ],          "monthlyLossDeductibility": 0,          "weekly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "fortnightly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "monthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "biMonthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "annual": {            "preTaxContribution": 0,            "postTaxContribution": 0,            "estimatedEmployeeFbtLiability": 0,            "estimatedEmployerFbtLiability": 0          }        },        "fbtExemptEv": {          "fbtBaseValue": 0,          "calculationNotes": [            "string"          ],          "monthlyLossDeductibility": 0,          "weekly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "fortnightly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "monthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "biMonthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "annual": {            "preTaxContribution": 0,            "postTaxContribution": 0,            "estimatedEmployeeFbtLiability": 0,            "estimatedEmployerFbtLiability": 0          }        },        "fullFbtApplied": {          "fbtBaseValue": 0,          "calculationNotes": [            "string"          ],          "monthlyLossDeductibility": 0,          "weekly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "fortnightly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "monthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "biMonthly": {            "fbt": {              "preTaxContribution": 0,              "postTaxContribution": 0            },            "income": {              "grossSalary": 0,              "estimatedSalary": 0,              "currentTaxableIncome": 0,              "estimatedTaxableIncome": 0,              "currentTaxPayable": 0,              "estimatedTaxPayable": 0,              "netCost": 0,              "currentNetTakeHomePay": 0,              "estimatedNetTakeHomePay": 0,              "estimatedTaxSavings": 0            }          },          "annual": {            "preTaxContribution": 0,            "postTaxContribution": 0,            "estimatedEmployeeFbtLiability": 0,            "estimatedEmployerFbtLiability": 0          }        }      }    }  },  "leadId": "string",  "referenceId": "string",  "status": "current",  "version": -9007199254740991,  "settings": {    "financier": {      "id": 1,      "referenceId": "string",      "name": "string"    },    "product": {      "id": 1,      "referenceId": "string",      "name": "string"    },    "budget": {      "id": 1,      "referenceId": "string",      "name": "string",      "vehicleCategory": "string",      "vehicleSize": "string"    }  }}